API referenceAnalytics

GET /analytics/accounts/{id}/demographics

Audience demographics (Instagram needs 100+ followers; Threads follower_demographics only)

GET
/analytics/accounts/{id}/demographics

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

Query Parameters

breakdown?string

Breakdown

Default"country"
Value in"age""city""country""gender"
metric?string

Default follower_demographics

Value in"follower_demographics""engaged_audience_demographics""reached_audience_demographics"
timeframe?string

Instagram: this_month (default) | this_week

Response Body

{accountId, platform, metric, breakdown, timeframe?, results}

application/json
  1. response
accountId?string
platform?string
metric?string
breakdown?string
timeframe?string
results?array<>
Example Request
curl -X GET 'https://example.com/api/v1/analytics/accounts/string/demographics'
Example Response
{  "accountId": "string",  "platform": "string",  "metric": "string",  "breakdown": "string",  "timeframe": "string",  "results": [    {      "dimension": "string",      "value": 0    }  ]}